﻿
$ErrorActionPreference = 'Stop';

$packageName= $env:ChocolateyPackageName
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://github.com/bbougot/Popcorn/releases/download/v5.0.6/PopcornInstaller.exe'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'exe'
  url           = $url

  softwareName  = 'popcorn*'

  checksum      = 'b0a54153fdef60e68d99d92348b69b23cdc0d19e20b68af3c1a8e06017cef93acf7aaeff2b6962279af25d6e77ad722be1d3575b562d294b70c5a001ac9fae23'
  checksumType  = 'sha512'
  
  silentArgs   = '--silent'
  validExitCodes= @(0)
}

Install-ChocolateyPackage @packageArgs